Debian Bug report logs - #607923
clive: vimeo support seems to be broken

version graph

Package: clive; Maintainer for clive is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for clive is src:clive.

Reported by: Jan Hetges <tran@ms20.net>

Date: Fri, 24 Dec 2010 12:45:01 UTC

Severity: normal

Tags: confirmed, fixed-upstream, upstream

Found in version clive/2.2.13-4

Fixed in versions clive/2.2.13-5, clive/2.2.19-2

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/apps/trac/clive/ticket/2

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#607923; Package clive. (Fri, 24 Dec 2010 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hetges <tran@ms20.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 24 Dec 2010 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Hetges <tran@ms20.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clive: vimeo support seems to be broken
Date: Fri, 24 Dec 2010 06:41:50 -0600
Package: clive
Version: 2.2.13-4
Severity: normal


Hi,
when i try to get a video from vimeo.com
tran@chunche:~/Video/Clips$ clive --debug http://vimeo.com/17890105
fetch http://vimeo.com/17890105 ...* About to connect() to vimeo.com
port 80 (#0)
*   Trying 66.235.126.128... * connected
* Connected to vimeo.com (66.235.126.128) port 80 (#0)
> GET /17890105 HTTP/1.1
User-Agent: Mozilla/5.0
Host: vimeo.com
Accept: */*
Accept-Encoding: deflate, gzip

< HTTP/1.1 200 OK
< Date: Fri, 24 Dec 2010 12:20:56 GMT
< Server: Apache
< X-Powered-By: PHP/5.3.3
< X-Server: 10.90.6.245
< Expires: Fri, 24 Dec 2010 00:20:56 GMT
< Cache-Control: no-store, no-cache, must-revalidate
< Cache-Control: post-check=0, pre-check=0
< Set-Cookie: uid=0; expires=Mon, 21-Dec-2020 12:20:56 GMT; path=/;
domain=.vimeo.com
< Vary: Accept-Encoding
< Content-Encoding: gzip
< Content-Length: 11140
< Connection: close
< Content-Type: text/html; charset=UTF-8
< 
* Closing connection #0
done.
error: no match: `(?-xism:clip_id=(.*?)[&"])'

thanks

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages clive depends on:
ii  libclass-singleton-perl       1.4-1      implementation of a "Singleton" cl
ii  libconfig-tiny-perl           2.12-1     Read/Write .ini style files with a
ii  libexpect-perl                1.21-1     Expect.pm - Perl Expect interface
ii  libgetopt-argvfile-perl       1.11-1     Perl module for reading script opt
ii  libhtml-parser-perl           3.68-1     collection of modules that parse H
ii  liburi-perl                   1.56-1     module to manipulate and access UR
ii  libwww-curl-perl              4.15-1     Perl bindings to libcurl
ii  perl                          5.10.1-16  Larry Wall's Practical Extraction 

Versions of packages clive recommends:
ii  clive-utils                   2.1.6-1    additional utilities for clive
ii  libberkeleydb-perl            0.42-1     use Berkeley DB 4 databases from P
ii  libterm-readkey-perl          2.30-4     A perl module for simple terminal 

Versions of packages clive suggests:
ii  ffmpeg           5:0.6.1+svn20101128-0.1 audio/video encoder, streaming ser

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#607923; Package clive. (Sat, 25 Dec 2010 09:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hoexter <sven@timegate.de>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 25 Dec 2010 09:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 607923@bugs.debian.org (full text, mbox):

From: Sven Hoexter <sven@timegate.de>
To: 607923@bugs.debian.org
Subject: Re: Bug#607923: clive: vimeo support seems to be broken
Date: Fri, 24 Dec 2010 14:01:17 +0100
It's broken for 2.2.19 aswell. *sigh*

On days like these it makes me wonder if it's a good idea to ship any of
those web scraping tools in a stable release. :-/

Sven
-- 
And I don't know much, but I do know this:
With a golden heart comes a rebel fist.
     [ Streetlight Manifesto - Here's To Life ]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#607923; Package clive. (Sat, 25 Dec 2010 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hoexter <sven@timegate.de>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 25 Dec 2010 10:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 607923@bugs.debian.org (full text, mbox):

From: Sven Hoexter <sven@timegate.de>
To: 607923@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#607923: clive: vimeo support seems to be broken
Date: Sat, 25 Dec 2010 11:38:05 +0100
forwarded 607923 http://sourceforge.net/apps/trac/clive/ticket/2
thanks

There's a patch attached to the ticket and it's commited to the upstream
git.
http://repo.or.cz/w/clive.git/commitdiff/68253c3831632787164f37d61b8fb5f148ba508a

Sven
-- 
And I don't know much, but I do know this:
With a golden heart comes a rebel fist.
     [ Streetlight Manifesto - Here's To Life ]




Set Bug forwarded-to-address to 'http://sourceforge.net/apps/trac/clive/ticket/2'. Request was from Sven Hoexter <sven@timegate.de> to control@bugs.debian.org. (Sat, 25 Dec 2010 10:39:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream, confirmed, and fixed-upstream. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 25 Dec 2010 14:06:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 25 Dec 2010 23:03:09 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 25 Dec 2010 23:06:03 GMT) Full text and rfc822 format available.

Notification sent to Jan Hetges <tran@ms20.net>:
Bug acknowledged by developer. (Sat, 25 Dec 2010 23:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 607923-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 607923-close@bugs.debian.org
Subject: Bug#607923: fixed in clive 2.2.13-5
Date: Sat, 25 Dec 2010 23:02:06 +0000
Source: clive
Source-Version: 2.2.13-5

We believe that the bug you reported is fixed in the latest version of
clive, which is due to be installed in the Debian FTP archive:

clive_2.2.13-5.debian.tar.gz
  to main/c/clive/clive_2.2.13-5.debian.tar.gz
clive_2.2.13-5.dsc
  to main/c/clive/clive_2.2.13-5.dsc
clive_2.2.13-5_all.deb
  to main/c/clive/clive_2.2.13-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated clive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 25 Dec 2010 23:34:33 +0100
Source: clive
Binary: clive
Architecture: source all
Version: 2.2.13-5
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 clive      - video extraction utility for YouTube, Google Video and others
Closes: 607923
Changes: 
 clive (2.2.13-5) unstable; urgency=low
 .
   * Add 0001-Vimeo.pm-Fix-video-ID-parsing-2.patch to fix vimeo.com ID
     parsing (Closes: #607923).
Checksums-Sha1: 
 98c6511ca35578b768e8e382274f10c79389fe17 2231 clive_2.2.13-5.dsc
 271d6531514375470621c7118d26fbabc1191d95 9675 clive_2.2.13-5.debian.tar.gz
 699e19350821decdda98232139b4e3b54c2f6aed 57076 clive_2.2.13-5_all.deb
Checksums-Sha256: 
 c137167c86d273337e588559e88587c198fe239f3f392fb9bb5cc263b4fa0410 2231 clive_2.2.13-5.dsc
 1562f8f7689b41de619b1bf8c68c20c85a0a924baa4ba5f2f1dba7ae1afd1f49 9675 clive_2.2.13-5.debian.tar.gz
 add967ece5c5f8f057d3015e7816e005f0130ad994ffdbe0d411b7fe0504309b 57076 clive_2.2.13-5_all.deb
Files: 
 a06609367194532ad4ba4ca6450b02f5 2231 utils optional clive_2.2.13-5.dsc
 2043924b73b8efbe4038586ea883f0f9 9675 utils optional clive_2.2.13-5.debian.tar.gz
 12e4fc9cb3c5771ec7dd6a18781c750e 57076 utils optional clive_2.2.13-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNFnVoAAoJEHidbwV/2GP+7p0P/2R1NCGLj0fwF4FlLt9tUotL
NnoTKFn2J1yuIVfuEZobhyBWoaJjVVJaj1VofJqQF7wHMz8aj22r3hZEIp737/9S
ygCDpQrNUd2+YwUUplGEuc3EVbgvNPTNnGh5t49V5uGoYB4XdGYdLaaHcSfkTp1R
vdhX5Lli09BiHUENJUb5WdSkRJBy07QCflfdA+6KAsOgdr8tqwo8eVFfKbK8l9La
SbRxh6pNWxEo+C0EaiujPfUGEWI9xtAoPmtnQd60vDIiZHnGQUfw8mRs4t106wBI
QkC3P6I4NmxRkCoYc49+BD2rDjFxxN5iW8gcp1Fd+JeJdEcqR7AKzbJVlkckjWBy
5yFHpFewE2jkdhyUOeKu1B3mxePbGHNbFw7ez8P789reeVuZcCUfzUk9KlRr3LN/
BS+4Yix/Gq89c+oSDvFBUtVjSqxaR5C7lJtggipPzeILyxM4RMjvpSHVd2YpCXiT
aybSLlEy990r1pGy1xPiPE20BrO4yhA3IuBNh6HhMCFvjPZtyDAvO7MsL/i+Ugv1
lAp8Y2CdoGjAvpPxyagGkHRI1jYQ2j74C3w3q/i4CEW+KhMYFCO/VFjiYU/dmhfb
y+ghaQ6K2sAhZ+8bdaC9etBplV2YR3cBMRny7UN5MPlWcT2GXLLXoyndPreEHeBk
RO7UefWNrb/gg8NHB2nA
=BnbP
-----END PGP SIGNATURE-----





Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Mon, 27 Dec 2010 07:51:04 GMT) Full text and rfc822 format available.

Notification sent to Jan Hetges <tran@ms20.net>:
Bug acknowledged by developer. (Mon, 27 Dec 2010 07:51:04 GMT) Full text and rfc822 format available.

Message #31 received at 607923-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 607923-close@bugs.debian.org
Subject: Bug#607923: fixed in clive 2.2.19-2
Date: Mon, 27 Dec 2010 07:47:06 +0000
Source: clive
Source-Version: 2.2.19-2

We believe that the bug you reported is fixed in the latest version of
clive, which is due to be installed in the Debian FTP archive:

clive_2.2.19-2.debian.tar.gz
  to main/c/clive/clive_2.2.19-2.debian.tar.gz
clive_2.2.19-2.dsc
  to main/c/clive/clive_2.2.19-2.dsc
clive_2.2.19-2_all.deb
  to main/c/clive/clive_2.2.19-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated clive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 27 Dec 2010 08:25:37 +0100
Source: clive
Binary: clive
Architecture: source all
Version: 2.2.19-2
Distribution: experimental
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 clive      - video extraction utility for YouTube, Google Video and others
Closes: 607923
Changes: 
 clive (2.2.19-2) experimental; urgency=low
 .
   * Add 0001-Vimeo.pm-Fix-video-ID-parsing-2.patch to fix vimeo.com ID
     parsing (Closes: #607923).
Checksums-Sha1: 
 4e899b95f46d3404f531089724d85ace571808c0 2303 clive_2.2.19-2.dsc
 723526167db3dbe23e61715ba63470af5768db58 8107 clive_2.2.19-2.debian.tar.gz
 e405b1b1e8fe6e28ba854f335739abb9386f5f46 41930 clive_2.2.19-2_all.deb
Checksums-Sha256: 
 01d3291827c00f4ce0ad80594abcc53fa2219c85b9d3c0c3fa71d0201c314881 2303 clive_2.2.19-2.dsc
 7e7b8ba3422f3c52d620ab025d754fb960c7aa4e585b43ee1d9e4b42c6232a24 8107 clive_2.2.19-2.debian.tar.gz
 fef973ab8028d2f0e7581889468c93f60ba00c896e1327b5203cc9b71eb6ac2f 41930 clive_2.2.19-2_all.deb
Files: 
 9df4e9287c290fe2e0ebe5cdabeb716f 2303 utils optional clive_2.2.19-2.dsc
 23889ffeb2b7160e52589bbb9a69a739 8107 utils optional clive_2.2.19-2.debian.tar.gz
 7a2dfb02fc1fffd219344d3f6301a93c 41930 utils optional clive_2.2.19-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNGEGcAAoJEHidbwV/2GP+LeMQALmRvTPhmrYP1ABgnEPRcFDt
LPWmBfYNIcg/HbSKGhzBXNoSoByH3VS8ZPDaxVv9X1K0RHrwJsLxUyDxhJadUqFt
S00swZgHn9Nf4plrYcVUxRswsWTxIStaxFHVyUyGnrzQEG8xNgpBpIQPPMrWnrAs
zdpU7cYBOAdtCpKjGZK3pr40LYH+FlePVAQbIyrivLn27Wk0ahsvlJPztSskH6fu
+VSAvTEl+L3ulJBfvOsZIXfVwp8nLYFrw0G62N9IV2O3vFXBQEdA3hY+dBewQcwk
pVVmvK4/XFGKBmnrSQF+OLdui4BYMLZx8imlNRomz0YclXBLMP6fwdo4G00iN+yG
sWJd60qNNX41BkqRu+9rbbTVsE5PGFo1X6IfUvNmKJ2G+o9VloCtysGiho1gGYQ9
/uyx80PSOb5qVPDHEEZ5dLNGXOy6F0q/TldF+BWIkkQHCF36lsnDYSKXe6m23A02
/NPW442jxE7zTfftRto985wUBrb/5mexcdBVCANhKHf8MigITmc3Fpm9Qb55DIUh
81m1CXQD4+UUWtX1X8/oP8Q0VA3LIjtNfH9RaWl1BN9QYcSyhak2P8H2yxfy+To0
/vjH+tb4zmGUt2Qjxp5+cpFQKNDWkjAP//U55ZRK3P058UXcr0x2rXVEcjsKzMo8
uW2HCi2QMyf0RANKVsO3
=HFe7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Feb 2011 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:23:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.